package DateTime::Locale::ru_RU;

use strict;
use DateTime::Locale::Base;

@DateTime::Locale::ru_RU::ISA = qw(DateTime::Locale::Base);

my @day_names = (
"",
"",
"",
"",
"",
"",
"",
);

my @day_abbreviations = (
"",
"",
"",
"",
"",
"",
"",
);

my @day_narrows = (
"",
"",
"",
"",
"",
"",
"",
);

my @month_names = (
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
);

my @month_abbreviations = (
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
);

my @month_narrows = (
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
);

my @am_pms = (
"AM",
"PM",
);

my @eras = (
"\ \.\.",
"\.\.",
);

my $date_before_time = "1";
my $default_date_format_length = "medium";
my $default_time_format_length = "medium";
my $date_parts_order = "dmy";

sub day_names                      { \@day_names }
sub day_abbreviations              { \@day_abbreviations }
sub day_narrows                    { \@day_narrows }
sub month_names                    { \@month_names }
sub month_abbreviations            { \@month_abbreviations }
sub month_narrows                  { \@month_narrows }
sub am_pms                         { \@am_pms }
sub eras                           { \@eras }
sub full_date_format               { "\%A\,\ \%\{ce_year\}\ \%B\ \%d" }
sub long_date_format               { "\%\{ce_year\}\ \%B\ \%\{day\}" }
sub medium_date_format             { "\%\{ce_year\}\ \%b\ \%\{day\}" }
sub short_date_format              { "\%y\/\%m\/\%d" }
sub full_time_format               { "\%H\:\%M\:\%S\ \%\{time_zone_long_name\}" }
sub long_time_format               { "\%H\:\%M\:\%S\ \%\{time_zone_long_name\}" }
sub medium_time_format             { "\%H\:\%M\:\%S" }
sub short_time_format              { "\%H\:\%M" }
sub date_before_time               { $date_before_time }
sub _default_date_format_length    { $default_date_format_length }
sub _default_time_format_length    { $default_time_format_length }
sub date_parts_order               { $date_parts_order }

1;
